'use strict';

module.exports = {
    "rules": {
        "array-bracket-spacing": ["error", "never"],
        "arrow-parens": "error",
        "arrow-spacing": ["error", {"before": true, "after": true}],
        "block-spacing": ["error", "always"],
        "brace-style": ["error", "1tbs", {"allowSingleLine": true}],
        "comma-dangle": ["error", "never"],
        "comma-spacing": ["error", {"before": false, "after": true}],
        "comma-style": ["error", "last"],
        "complexity": ["error", 5],
        "computed-property-spacing": ["error", "never"],
        "dot-location": ["error", "property"],
        "eol-last": ["error", "always"],
        "func-call-spacing": ["error", "never"],
        "func-names": ["error", "always"],
        "func-name-matching": ["error", {"considerPropertyDescriptor": true}],
        "func-style": ["error", "declaration", {"allowArrowFunctions": true}],
        "generator-star-spacing": ["error", "after"],
        "indent": ["error", 4],
        "key-spacing": "error",
        "keyword-spacing": "error",
        "linebreak-style": ["error", "unix"],
        "max-depth": ["error", 4],
        "max-len": ["error", 120, 4],
        "max-params": ["error", 3],
        "max-statements-per-line": "error",
        "new-parens": "error",
        "no-bitwise": "error",
        "no-extra-bind": "error",
        "no-extra-label": "error",
        "no-irregular-whitespace": "error",
        "no-loop-func": "error",
        "no-mixed-requires": "error",
        "no-multi-spaces": "error",
        "no-new-require": "error",
        "no-octal": "error",
        "no-octal-escape": "error",
        "no-param-reassign": "error",
        "no-return-assign": "error",
        "no-self-compare": "error",
        "no-sync": ["error", {"allowAtRootLevel": true}],
        "no-throw-literal": "error",
        "no-trailing-spaces": "error",
        "no-use-before-define": ["error", {"functions": false}],
        "no-warning-comments": "error",
        "object-curly-newline": ["error", {"consistent": true, "multiline": true}],
        "object-curly-spacing": ["error", "never"],
        "object-shorthand": "error",
        "one-var": ["error", "never"],
        "prefer-arrow-callback": ["error", {"allowNamedFunctions": true}],
        "prefer-promise-reject-errors": "error",
        "quotes": ["error", "single", "avoid-escape"],
        "semi": ["error", "always"],
        "space-before-blocks": "error",
        "space-before-function-paren": ["error", {"anonymous": "always", "named": "never", "asyncArrow": "always"}],
        "space-in-parens": ["error", "never"],
        "switch-colon-spacing": "error",
        "wrap-iife": "error",
        "yield-star-spacing": ["error", "after"]
    }
}
